from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XPolyPolygon2D(XInterface, Protocol):
    def getNumberOfPolygons(self) -> int: ...
    def getFillRule(self) -> FillRule: ...
    def setFillRule(self, fillRule: FillRule) -> None: ...
